import React from "react";
import {FlowRouter} from 'meteor/ostrio:flow-router-extra';
import {i18n} from 'meteor/universe:i18n';

const ViewButton = ({viewRoute, viewRouteParams}) => {
    return <a href={"#"}
              className={"view-button"}
              style={{marginLeft: '5px'}}
              onClick={() => {
                  FlowRouter.go(viewRoute, viewRouteParams)
              }}
    ><i className="fa fa-eye fa-2x" title={i18n.__('messages.view')}> </i></a>
};

export default ViewButton;